%global _empty_manifest_terminate_build 0
Name:		python-anyjson
Version:	0.3.3
Release:	3
Summary:	Wraps the best available JSON implementation available in a common interface
License:	BSD-3-Clause
URL:		http://bitbucket.org/runeh/anyjson/
Source0:	https://files.pythonhosted.org/packages/c3/4d/d4089e1a3dd25b46bebdb55a992b0797cff657b4477bc32ce28038fdecbc/anyjson-0.3.3.tar.gz

#Patch to fix up 2to3
Patch0:         fix_up_2to3.patch

BuildArch:	noarch


%description
Anyjson loads whichever is the fastest JSON module installed and provides
a uniform API regardless of which JSON implementation is used.

%package -n python3-anyjson
Summary:	Wraps the best available JSON implementation available in a common interface
Provides:	python-anyjson
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-anyjson
Anyjson loads whichever is the fastest JSON module installed and provides
a uniform API regardless of which JSON implementation is used.

%package help
Summary:	Development documents and examples for anyjson
Provides:	python3-anyjson-doc
%description help
Anyjson loads whichever is the fastest JSON module installed and provides
a uniform API regardless of which JSON implementation is used.

%prep
%autosetup -n anyjson-0.3.3 -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-anyjson -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Dec 13 2022 caodongxia <caodongxia@h-partners.com> - 0.3.3-3 
- License compliance rectification

* Tue Jan 18 2022 Chengshaowei <chenshaowei3@huawei.com> - 0.3.3-2
- delete 2to3

* Mon Jul 06 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
